Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.twitterapime.model
Class MetadataSet

    java.lang.Object
      com.twitterapime.model.MetadataSet

    public final class MetadataSet

extends java.lang.Object

MetadataSet is a interface that specifies a collection of metadata attributes applicable to the entities that implement the interface Entity. The prefix of each constant indicates which class that constant belongs to. For instance, "TWEET_XXX" belongs to Tweet class.

Since:
  1.0
Version:
  1.4
Author:
  Ernandes Mourao Junior (ernandes@gmail.com)

Field Summary
`static java.lang.String` | `CREDENTIAL_ACCESS_TOKEN` Report the credential's access token, e.g., "oauth_token=fduye8fd&oauth_token_secret=897fdjhf7d7h".
`static java.lang.String` | `CREDENTIAL_CONSUMER_KEY` Report the credential's consumer key, e.g., "jhdas78asjdhajsdas87d8adj".
`static java.lang.String` | `CREDENTIAL_CONSUMER_SECRET` Report the credential's consumer secret, e.g., "fiuwnmlfd89d23hspmghuyf".
`static java.lang.String` | `CREDENTIAL_PASSWORD` Report the credential's password, e.g., "j0hnsm1th".
`static java.lang.String` | `CREDENTIAL_USERNAME` Report the credential's username, e.g., "johnsmith".
`static java.lang.String` | `GEOLOCATION_COUNTRY` Reports the geo location country, e.g., "United States".
`static java.lang.String` | `GEOLOCATION_LATITUDE` Reports the geo location latitude, e.g., "+50".
`static java.lang.String` | `GEOLOCATION_LONGITUDE` Reports the geo location longitude, e.g., "-10".
`static java.lang.String` | `GEOLOCATION_PLACE_FULL_NAME` Reports the geo location full name, e.g., "San Francisco, CA".
`static java.lang.String` | `GEOLOCATION_PLACE_ID` Reports the geo location place id, e.g., "87d6s767dsd".
`static java.lang.String` | `GEOLOCATION_PLACE_NAME` Reports the geo location place name, e.g., "San Francisco".
`static java.lang.String` | `GEOLOCATION_PLACE_TYPE` Reports the geo location place type, e.g., "city".
`static java.lang.String` | `GEOLOCATION_PLACE_URL` Reports the geo location url, e.g., "http://api.twitter.com/1/geo/id/3c9e627dd6b55d9e.json".
`static java.lang.String` | `GEOLOCATION_POLYGON` Reports the geo location polygon, e.g., {"123", "456", "789", "0"}.
`static java.lang.String` | `RATELIMITSTATUS_HOURLY_LIMIT` Report the hourly limit number of hits to Twitter REST API, e.g., "150".
`static java.lang.String` | `RATELIMITSTATUS_REMAINING_HITS` Report the remaining number of hits to Twitter REST API, e.g., "140".
`static java.lang.String` | `RATELIMITSTATUS_RESET_TIME` Report the time at which the number of hits to Twitter REST API will be reseted, e.g., "1654897954646".
`static java.lang.String` | `TWEET_AUTHOR_NAME` Report the tweet's author's name, e.g., "John Smith".
`static java.lang.String` | `TWEET_AUTHOR_PICTURE_URI` Report the tweet's author's picture URI, e.g., "http://a3.twimg.com/profile_images/8978974/pic_normal.JPG".
`static java.lang.String` | `TWEET_AUTHOR_URI` Report the tweet's author's URI, e.g., "http://twitter.com/twitteruser".
`static java.lang.String` | `TWEET_AUTHOR_USERNAME` Report the tweet's author's username, e.g., "johnsmith".
`static java.lang.String` | `TWEET_CONTENT` Report the tweet's content, e.g., "Hello Twitter!!! How are you?".
`static java.lang.String` | `TWEET_FAVOURITE` Report whether the tweet is marked as favourite, e.g., "true" or "false".
`static java.lang.String` | `TWEET_ID` Report the tweet's ID, e.g., "9637830025".
`static java.lang.String` | `TWEET_LANG` Report the tweet's language code, e.g., "en".
`static java.lang.String` | `TWEET_LOCATION` Report the tweet's location object, e.g., GeoLocation class.
`static java.lang.String` | `TWEET_PUBLISH_DATE` Report the tweet's publish date (long format), e.g., "165498132546".
`static java.lang.String` | `TWEET_RECIPIENT_ACCOUNT` Report the user account object of Direct Message's recipient, e.g., UserAccount class.
`static java.lang.String` | `TWEET_REPOSTED_TWEET` Report the reposted tweet object from a repost operation, e.g., Tweet class.
`static java.lang.String` | `TWEET_SOURCE` Report the tweet's source (application), e.g., "TweetApp".
`static java.lang.String` | `TWEET_URI` Report the tweet's URI, e.g., "http://twitter.com/twitteruser/statuses/7895462131".
`static java.lang.String` | `TWEET_USER_ACCOUNT` Report the user account object of tweet's sender, e.g., UserAccount class.
`static java.lang.String` | `USERACCOUNT_CREATE_DATE` Report the user account's create date (long format), e.g., "16549813254".
`static java.lang.String` | `USERACCOUNT_DESCRIPTION` Report the user account's description, e.g., "It's my personal account.".
`static java.lang.String` | `USERACCOUNT_FAVOURITES_COUNT` Report the user account's favourites count, e.g., "16".
`static java.lang.String` | `USERACCOUNT_FOLLOWERS_COUNT` Report the user account's followers count, e.g., "10".
`static java.lang.String` | `USERACCOUNT_FRIENDS_COUNT` Report the user account's friends count, e.g., "26".
`static java.lang.String` | `USERACCOUNT_GEO_ENABLED` Report whether tweet location is enabled in user profile, e.g., "true" or "false".
`static java.lang.String` | `USERACCOUNT_ID` Report the user account's ID, e.g., "489613465".
`static java.lang.String` | `USERACCOUNT_LAST_TWEET` Report the user account's last tweet object, e.g., Tweet class.
`static java.lang.String` | `USERACCOUNT_LOCATION` Report the user account's location, e.g., "San Francisco".
`static java.lang.String` | `USERACCOUNT_NAME` Report the user account's name, e.g., "John Smith".
`static java.lang.String` | `USERACCOUNT_NOTIFICATIONS` Report whether the user account receives notifications, e.g., "true" or "false".
`static java.lang.String` | `USERACCOUNT_PICTURE_URI` Report the user account's picture URI, e.g., "http://a3.twimg.com/profile_images/8978974/pic_normal.JPG".
`static java.lang.String` | `USERACCOUNT_PROFILE_BACKGROUND_COLOR` Report the user account's profile background color, e.g., "1A1B1F".
`static java.lang.String` | `USERACCOUNT_PROFILE_BACKGROUND_IMAGE_URI` Report the user account's profile background image URI, e.g., "http://s.twimg.com/a/1259882278/images/themes/theme9/bg.gif".
`static java.lang.String` | `USERACCOUNT_PROFILE_LINK_COLOR` Report the user account's profile link color, e.g., "2FC2EF".
`static java.lang.String` | `USERACCOUNT_PROFILE_TEXT_COLOR` Report the user account's profile text color, e.g., "666666".
`static java.lang.String` | `USERACCOUNT_PROTECTED` Report whether the user account is protected, e.g., "true" or "false".
`static java.lang.String` | `USERACCOUNT_TIME_ZONE` Report the user account's time zone, e.g., "California".
`static java.lang.String` | `USERACCOUNT_TWEETS_COUNT` Report the user account's tweets count, e.g., "159".
`static java.lang.String` | `USERACCOUNT_URL` Report the user account's URL, e.g., "http://www.johnsmith.com".
`static java.lang.String` | `USERACCOUNT_USER_NAME` Report the user account's username, e.g., "johnsmith".
`static java.lang.String` | `USERACCOUNT_UTC_OFFSET` Report the user account's UCT offset, e.g., "-10800".
`static java.lang.String` | `USERACCOUNT_VERIFIED` Report whether the user account is verified, e.g., "true" or "false".

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TWEET_ID

    public static final java.lang.String TWEET_ID

  Report the tweet's ID, e.g., "9637830025".

  See Also:
    Constant Field Values

### TWEET_URI

    public static final java.lang.String TWEET_URI

  Report the tweet's URI, e.g., "http://twitter.com/twitteruser/statuses/7895462131".

  See Also:
    Constant Field Values

### TWEET_CONTENT

    public static final java.lang.String TWEET_CONTENT

  Report the tweet's content, e.g., "Hello Twitter!!! How are you?".

  See Also:
    Constant Field Values

### TWEET_PUBLISH_DATE

    public static final java.lang.String TWEET_PUBLISH_DATE

  Report the tweet's publish date (long format), e.g., "165498132546".

  See Also:
    Constant Field Values

### TWEET_SOURCE

    public static final java.lang.String TWEET_SOURCE

  Report the tweet's source (application), e.g., "TweetApp".

  See Also:
    Constant Field Values

### TWEET_LANG

    public static final java.lang.String TWEET_LANG

  Report the tweet's language code, e.g., "en".

  See Also:
    Constant Field Values

### TWEET_AUTHOR_NAME

    public static final java.lang.String TWEET_AUTHOR_NAME

  Report the tweet's author's name, e.g., "John Smith".

  See Also:
    Constant Field Values

### TWEET_AUTHOR_USERNAME

    public static final java.lang.String TWEET_AUTHOR_USERNAME

  Report the tweet's author's username, e.g., "johnsmith".

  See Also:
    Constant Field Values

### TWEET_AUTHOR_URI

    public static final java.lang.String TWEET_AUTHOR_URI

  Report the tweet's author's URI, e.g., "http://twitter.com/twitteruser".

  See Also:
    Constant Field Values

### TWEET_AUTHOR_PICTURE_URI

    public static final java.lang.String TWEET_AUTHOR_PICTURE_URI

  Report the tweet's author's picture URI, e.g., "http://a3.twimg.com/profile_images/8978974/pic_normal.JPG".

  See Also:
    Constant Field Values

### TWEET_FAVOURITE

    public static final java.lang.String TWEET_FAVOURITE

  Report whether the tweet is marked as favourite, e.g., "true" or "false".

  See Also:
    Constant Field Values

### TWEET_USER_ACCOUNT

    public static final java.lang.String TWEET_USER_ACCOUNT

  Report the user account object of tweet's sender, e.g., UserAccount class.

  See Also:
    Constant Field Values

### TWEET_RECIPIENT_ACCOUNT

    public static final java.lang.String TWEET_RECIPIENT_ACCOUNT

  Report the user account object of Direct Message's recipient, e.g., UserAccount class.

  See Also:
    Constant Field Values

### TWEET_REPOSTED_TWEET

    public static final java.lang.String TWEET_REPOSTED_TWEET

  Report the reposted tweet object from a repost operation, e.g., Tweet class.

  See Also:
    Constant Field Values

### TWEET_LOCATION

    public static final java.lang.String TWEET_LOCATION

  Report the tweet's location object, e.g., GeoLocation class.

  See Also:
    Constant Field Values

### CREDENTIAL_USERNAME

    public static final java.lang.String CREDENTIAL_USERNAME

  Report the credential's username, e.g., "johnsmith".

  See Also:
    Constant Field Values

### CREDENTIAL_PASSWORD

    public static final java.lang.String CREDENTIAL_PASSWORD

  Report the credential's password, e.g., "j0hnsm1th".

  See Also:
    Constant Field Values

### CREDENTIAL_CONSUMER_KEY

    public static final java.lang.String CREDENTIAL_CONSUMER_KEY

  Report the credential's consumer key, e.g., "jhdas78asjdhajsdas87d8adj".

  See Also:
    Constant Field Values

### CREDENTIAL_CONSUMER_SECRET

    public static final java.lang.String CREDENTIAL_CONSUMER_SECRET

  Report the credential's consumer secret, e.g., "fiuwnmlfd89d23hspmghuyf".

  See Also:
    Constant Field Values

### CREDENTIAL_ACCESS_TOKEN

    public static final java.lang.String CREDENTIAL_ACCESS_TOKEN

  Report the credential's access token, e.g., "oauth_token=fduye8fd&oauth_token_secret=897fdjhf7d7h".

  See Also:
    Constant Field Values

### RATELIMITSTATUS_REMAINING_HITS

    public static final java.lang.String RATELIMITSTATUS_REMAINING_HITS

  Report the remaining number of hits to Twitter REST API, e.g., "140".

  See Also:
    Constant Field Values

### RATELIMITSTATUS_HOURLY_LIMIT

    public static final java.lang.String RATELIMITSTATUS_HOURLY_LIMIT

  Report the hourly limit number of hits to Twitter REST API, e.g., "150".

  See Also:
    Constant Field Values

### RATELIMITSTATUS_RESET_TIME

    public static final java.lang.String RATELIMITSTATUS_RESET_TIME

  Report the time at which the number of hits to Twitter REST API will be reseted, e.g., "1654897954646".

  See Also:
    Constant Field Values

### USERACCOUNT_ID

    public static final java.lang.String USERACCOUNT_ID

  Report the user account's ID, e.g., "489613465".

  See Also:
    Constant Field Values

### USERACCOUNT_NAME

    public static final java.lang.String USERACCOUNT_NAME

  Report the user account's name, e.g., "John Smith".

  See Also:
    Constant Field Values

### USERACCOUNT_USER_NAME

    public static final java.lang.String USERACCOUNT_USER_NAME

  Report the user account's username, e.g., "johnsmith".

  See Also:
    Constant Field Values

### USERACCOUNT_LOCATION

    public static final java.lang.String USERACCOUNT_LOCATION

  Report the user account's location, e.g., "San Francisco".

  See Also:
    Constant Field Values

### USERACCOUNT_DESCRIPTION

    public static final java.lang.String USERACCOUNT_DESCRIPTION

  Report the user account's description, e.g., "It's my personal account.".

  See Also:
    Constant Field Values

### USERACCOUNT_PICTURE_URI

    public static final java.lang.String USERACCOUNT_PICTURE_URI

  Report the user account's picture URI, e.g., "http://a3.twimg.com/profile_images/8978974/pic_normal.JPG".

  See Also:
    Constant Field Values

### USERACCOUNT_URL

    public static final java.lang.String USERACCOUNT_URL

  Report the user account's URL, e.g., "http://www.johnsmith.com".

  See Also:
    Constant Field Values

### USERACCOUNT_PROTECTED

    public static final java.lang.String USERACCOUNT_PROTECTED

  Report whether the user account is protected, e.g., "true" or "false".

  See Also:
    Constant Field Values

### USERACCOUNT_FOLLOWERS_COUNT

    public static final java.lang.String USERACCOUNT_FOLLOWERS_COUNT

  Report the user account's followers count, e.g., "10".

  See Also:
    Constant Field Values

### USERACCOUNT_PROFILE_BACKGROUND_COLOR

    public static final java.lang.String USERACCOUNT_PROFILE_BACKGROUND_COLOR

  Report the user account's profile background color, e.g., "1A1B1F".

  See Also:
    Constant Field Values

### USERACCOUNT_PROFILE_TEXT_COLOR

    public static final java.lang.String USERACCOUNT_PROFILE_TEXT_COLOR

  Report the user account's profile text color, e.g., "666666".

  See Also:
    Constant Field Values

### USERACCOUNT_PROFILE_LINK_COLOR

    public static final java.lang.String USERACCOUNT_PROFILE_LINK_COLOR

  Report the user account's profile link color, e.g., "2FC2EF".

  See Also:
    Constant Field Values

### USERACCOUNT_FRIENDS_COUNT

    public static final java.lang.String USERACCOUNT_FRIENDS_COUNT

  Report the user account's friends count, e.g., "26".

  See Also:
    Constant Field Values

### USERACCOUNT_CREATE_DATE

    public static final java.lang.String USERACCOUNT_CREATE_DATE

  Report the user account's create date (long format), e.g., "16549813254".

  See Also:
    Constant Field Values

### USERACCOUNT_FAVOURITES_COUNT

    public static final java.lang.String USERACCOUNT_FAVOURITES_COUNT

  Report the user account's favourites count, e.g., "16".

  See Also:
    Constant Field Values

### USERACCOUNT_UTC_OFFSET

    public static final java.lang.String USERACCOUNT_UTC_OFFSET

  Report the user account's UCT offset, e.g., "-10800".

  See Also:
    Constant Field Values

### USERACCOUNT_TIME_ZONE

    public static final java.lang.String USERACCOUNT_TIME_ZONE

  Report the user account's time zone, e.g., "California".

  See Also:
    Constant Field Values

### USERACCOUNT_PROFILE_BACKGROUND_IMAGE_URI

    public static final java.lang.String USERACCOUNT_PROFILE_BACKGROUND_IMAGE_URI

  Report the user account's profile background image URI, e.g., "http://s.twimg.com/a/1259882278/images/themes/theme9/bg.gif".

  See Also:
    Constant Field Values

### USERACCOUNT_TWEETS_COUNT

    public static final java.lang.String USERACCOUNT_TWEETS_COUNT

  Report the user account's tweets count, e.g., "159".

  See Also:
    Constant Field Values

### USERACCOUNT_NOTIFICATIONS

    public static final java.lang.String USERACCOUNT_NOTIFICATIONS

  Report whether the user account receives notifications, e.g., "true" or "false".

  See Also:
    Constant Field Values

### USERACCOUNT_VERIFIED

    public static final java.lang.String USERACCOUNT_VERIFIED

  Report whether the user account is verified, e.g., "true" or "false".

  See Also:
    Constant Field Values

### USERACCOUNT_GEO_ENABLED

    public static final java.lang.String USERACCOUNT_GEO_ENABLED

  Report whether tweet location is enabled in user profile, e.g., "true" or "false".

  See Also:
    Constant Field Values

### USERACCOUNT_LAST_TWEET

    public static final java.lang.String USERACCOUNT_LAST_TWEET

  Report the user account's last tweet object, e.g., Tweet class.

  See Also:
    Constant Field Values

### GEOLOCATION_LATITUDE

    public static final java.lang.String GEOLOCATION_LATITUDE

  Reports the geo location latitude, e.g., "+50".

  See Also:
    Constant Field Values

### GEOLOCATION_LONGITUDE

    public static final java.lang.String GEOLOCATION_LONGITUDE

  Reports the geo location longitude, e.g., "-10".

  See Also:
    Constant Field Values

### GEOLOCATION_PLACE_ID

    public static final java.lang.String GEOLOCATION_PLACE_ID

  Reports the geo location place id, e.g., "87d6s767dsd".

  See Also:
    Constant Field Values

### GEOLOCATION_PLACE_NAME

    public static final java.lang.String GEOLOCATION_PLACE_NAME

  Reports the geo location place name, e.g., "San Francisco".

  See Also:
    Constant Field Values

### GEOLOCATION_PLACE_FULL_NAME

    public static final java.lang.String GEOLOCATION_PLACE_FULL_NAME

  Reports the geo location full name, e.g., "San Francisco, CA".

  See Also:
    Constant Field Values

### GEOLOCATION_PLACE_TYPE

    public static final java.lang.String GEOLOCATION_PLACE_TYPE

  Reports the geo location place type, e.g., "city".

  See Also:
    Constant Field Values

### GEOLOCATION_PLACE_URL

    public static final java.lang.String GEOLOCATION_PLACE_URL

  Reports the geo location url, e.g., "http://api.twitter.com/1/geo/id/3c9e627dd6b55d9e.json".

  See Also:
    Constant Field Values

### GEOLOCATION_COUNTRY

    public static final java.lang.String GEOLOCATION_COUNTRY

  Reports the geo location country, e.g., "United States".

  See Also:
    Constant Field Values

### GEOLOCATION_POLYGON

    public static final java.lang.String GEOLOCATION_POLYGON

  Reports the geo location polygon, e.g., {"123", "456", "789", "0"}.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Twitter API ME Team. All Rights Reserved.